org.eclnt.jsfserver.elements.componentnodes

## Class HTLABELNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTLABELNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTLABELNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTLABELNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTLABELNode` | `bindAlign(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindText(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindValign(IDynamicContentBindingObject value)`
    `HTLABELNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTLABELNode` | `setAlign(java.lang.String value)`
    `HTLABELNode` | `setAttributemacro(java.lang.String value)`
    `HTLABELNode` | `setComment(java.lang.String value)`
    `HTLABELNode` | `setConfiginfo(java.lang.String value)`
    `HTLABELNode` | `setId(java.lang.String value)`
    `HTLABELNode` | `setReference(java.lang.String value)`
    `HTLABELNode` | `setRendered(boolean value)`
    `HTLABELNode` | `setRendered(java.lang.String value)`
    `HTLABELNode` | `setStyle(java.lang.String value)`
    `HTLABELNode` | `setStyleClass(java.lang.String value)`
    `HTLABELNode` | `setStylevariant(java.lang.String value)`
    `HTLABELNode` | `setText(java.lang.String value)`
    `HTLABELNode` | `setValign(java.lang.String value)`
    `HTLABELNode` | `setWidth(int value)`
    `HTLABELNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTLABELNode

          public HTLABELNode()

  - ### Method Detail

    - #### setId

          public HTLABELNode setId(java.lang.String value)

    - #### setAlign

          public HTLABELNode setAlign(java.lang.String value)

    - #### bindAlign

          public HTLABELNode bindAlign(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public HTLABELNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTLABELNode setComment(java.lang.String value)

    - #### bindComment

          public HTLABELNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTLABELNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTLABELNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public HTLABELNode setReference(java.lang.String value)

    - #### setRendered

          public HTLABELNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTLABELNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTLABELNode setRendered(boolean value)

    - #### setStyle

          public HTLABELNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTLABELNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTLABELNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTLABELNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTLABELNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTLABELNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public HTLABELNode setText(java.lang.String value)

    - #### bindText

          public HTLABELNode bindText(IDynamicContentBindingObject value)

    - #### setValign

          public HTLABELNode setValign(java.lang.String value)

    - #### bindValign

          public HTLABELNode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HTLABELNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTLABELNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTLABELNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.